cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-msgs10 ${gz-msgs_FIND_VERSION} REQUIRED COMPONENTS ${gz-msgs_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-msgs::gz-msgs ALIAS gz-msgs10::gz-msgs10)
add_library(gz-msgs::core ALIAS gz-msgs10::gz-msgs10)

# Retrieve the list of components
get_target_property(components gz-msgs10::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-msgs10::gz-msgs10)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-msgs10::gz-msgs10-" "" component_name ${component})
  add_library(gz-msgs::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-msgs ALIAS gz-msgs10::gz-msgs10)
